# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'
    #csrf_protection: true
    http_method_override: false

    # Enables session support. Note that the session will ONLY be started if you read or write from it.
    # Remove or comment this section to explicitly disable session support.
    session:
        handler_id: null 
        sid_length: 24  # Longitud óptima para compatibilidad
        sid_bits_per_character: 5  # 0-9 y a-v
        cookie_secure: false
        cookie_samesite: lax
        cookie_lifetime: 86400
        gc_maxlifetime: 86400 #El garbage collector (gc) (recolector de basura) eliminará sesiones caducadas
        gc_probability: 1
        gc_divisor: 1000 #GC se ejecutará 1 vez cada 1000 peticiones
        storage_factory_id: session.storage.factory.native

    #esi: true
    #fragments: true
    php_errors:
        log: true

    assets:
        base_path: '/assets'
        packages:
            postulantes:
                base_urls:
                    - '%env(RUTA_ASSETS_POSTU)%'
                version: 'v3'
            portal:
                base_urls:
                    - '%env(RUTA_ASSETS_PORTAL)%'
                version: 'v3'
            adjuntos:
                base_urls:
                    - '%env(UPLOADS_FILES_URL)%/ria_adjuntos'
            adjuntos_poda:
                base_urls:
                    - '%env(UPLOADS_FILES_URL)%/poda_adjuntos'
            ria_fotos:
                base_urls:
                    - '%env(RIA_ASSETS_URL)%/imagenes/ria'

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
